For AI agents: the complete documentation index is at https://buddy.works/llms.txt
POST
- /workspaces
- /:workspace
- /domains
- /claim
Claim an existing domain. Deprecated: use POST /workspaces/{workspace_domain}/domains with type = CLAIMED
REQUIRED SCOPESDOMAIN_MANAGE
URL PARAMETERSworkspacerequiredstring
The human-readable ID of the workspace BODY PARAMETERSnamestring
The subdomain to claim under a claimable domainon_owner_behalfboolean
Whether to claim the domain on the workspace owner's behalf RESPONSE BODYtypestring enum
The type of the domainAllowed enum: REGISTERED,
POINTED,
PRIVATE,
CLAIMED
urlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksnamestring
The name of the domainidstring
The ID of the domainauto_renewboolean
Whether the domain is set to auto-renewtransfer_lockboolean
Whether the domain has transfer lock enableddnssecboolean
Whether DNSSEC is enabled for the domainexpiry_datestring
The expiration date of the domain registration Last modified on Jun 29, 2026
curl -X POST "https://api.buddy.works/workspaces/:workspace/domains/claim" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "mydomain.claim.net",
"on_owner_behalf": false
}'